<template>
  <header
    class="bg-white sticky top-0 z-50"
    :class="{ 'show-nav-bar': isShowNavBar }"
  >
    <div class="flex items-center justify-between px-4 py-3">
      <div class="logo mr-auto">
        <nuxt-link to="/" class="inline-block align-top">
          <img src="/logo-mobile.svg" alt="logo" />
        </nuxt-link>
      </div>
      <div
        class="btn-control-menu cursor-pointer"
        @click="isShowNavBar = !isShowNavBar"
      >
        <svg-icon class="w-8 h-8 text-dark-blue" name="icon-menu" />
      </div>
      <transition name="slide">
        <div
          v-show="isShowNavBar"
          class="absolute top-0 left-0 bg-white w-full p-4 z-10"
        >
          <div
            class="absolute top-0 right-0 mr-4 mt-4 cursor-pointer"
            @click="isShowNavBar = !isShowNavBar"
          >
            <svg-icon class="w-6 h-6 text-dark-blue" name="icon-closed" />
          </div>
          <div class="text-28px font-medium mb-6">
            <div class="text-dark-gray leading-140">Hello, we are</div>
            <div class="text-green-spring leading-none">ThinkView.</div>
          </div>
          <div class="text-sm text-gray-medium mb-2">Đăng nhập</div>
          <ul class="flex text-dark-blue mb-6">
            <li>
              <a
                href="javascript:;"
                class="inline-block bg-gray-light w-8 h-8 text-center leading-8"
              >
                <svg-icon
                  class="w-5 h-5 inline-block align-middle"
                  name="icon-apple"
                />
              </a>
            </li>
            <li class="ml-3">
              <a
                href="javascript:;"
                class="inline-block bg-gray-light w-8 h-8 text-center leading-8"
              >
                <svg-icon
                  class="w-5 h-5 inline-block align-middle"
                  name="icon-google"
                />
              </a>
            </li>
            <li class="ml-3">
              <a
                href="javascript:;"
                class="inline-block bg-gray-light w-8 h-8 text-center leading-8"
              >
                <svg-icon
                  class="w-5 h-5 inline-block align-middle"
                  name="icon-facebook-1"
                />
              </a>
            </li>
          </ul>
          <div class="text-sm text-gray-medium mb-4">Chuyên mục</div>
          <div>
            <div
              v-for="link in MenuLinks"
              :key="'link' + link.id"
              class="text-xl leading-7 mb-5 last:mb-0"
            >
              <nuxt-link
                class="text-dark hover:text-green-spring"
                :to="{ name: 'category' }"
              >
                {{ link.name }}
              </nuxt-link>
            </div>
          </div>
          <div class="block md:flex items-center">
            <div
              class="text-gray-medium text-14px space-x-4 flex items-center mt-6 py-6 border-t border-solid border-gray-light"
            >
              <a
                class="leading-140 hover:text-green-spring pr-6 border-r border-solid border-white border-opacity-15"
                href="#"
              >
                Về chúng tôi
              </a>
              <a
                class="hover:text-green-spring flex pr-6 items-center border-r border-solid border-white border-opacity-15"
                href="#"
              >
                <svg-icon name="icon-iPhone" class="h-4 w-4 mr-2"></svg-icon>
                <span>Liên hệ</span>
              </a>
              <a class="hover:text-warning flex items-center" href="#">
                <svg-icon
                  name="icon-ads"
                  class="text-warning h-4 w-4 mr-2"
                ></svg-icon>
                <span>Tài trợ</span>
              </a>
            </div>
            <div
              class="text-gray-medium flex items-center pt-6 pb-2 border-t border-solid border-gray-light"
            >
              <div>
                <ul class="flex items-center space-x-8">
                  <li v-for="social in socials" :key="'social' + social.name">
                    <a
                      href="#"
                      class="text-gray-medium flex items-center hover:text-green-spring"
                    >
                      <svg-icon :name="social.icon" class="w-6 h-6"></svg-icon>
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </transition>
    </div>
  </header>
</template>

<script>
export default {
  name: 'TheHeaderMobile',
  data() {
    return {
      isShowNavBar: false,
      socials: [
        {
          name: 'Facebook',
          icon: 'icon-facebook',
          url: ''
        },
        {
          name: 'Youtube',
          icon: 'icon-youtube',
          url: ''
        },
        {
          name: 'Instagram',
          icon: 'icon-instagram',
          url: ''
        },
        {
          name: 'Twitter',
          icon: 'icon-twitter',
          url: ''
        },
        {
          name: 'hello@thinkview.vn',
          icon: 'icon-mail',
          url: ''
        }
      ]
    }
  },
  computed: {
    MenuLinks() {
      return this.$store.getters.MainMenu
    }
  }
}
</script>
